%define        majver %(echo %version | cut -d. -f1-2)
Name:          grilo-plugins
Version:       0.3.7
Release:       1mamba
Summary:       A collection of plugins for Grilo implementing Grilo's API for various multimedia content providers
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://live.gnome.org
Source:        ftp://ftp.gnome.org/pub/gnome/sources/grilo-plugins/%{majver}/grilo-plugins-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gnome-online-accounts-devel
BuildRequires: libavahi-devel
BuildRequires: libavahi-glib-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgdata-devel
BuildRequires: libglib-devel
BuildRequires: libgmime-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgrilo-devel
BuildRequires: libjson-glib-devel
BuildRequires: liblua-devel
BuildRequires: liboauth-devel
BuildRequires: libreadline-devel
BuildRequires: librest-devel
BuildRequires: libsoup-devel
BuildRequires: libsqlite-devel
BuildRequires: libtotem-pl-parser-devel
BuildRequires: libtracker-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
BuildRequires: libtracker-devel >= 1.0.0
BuildRequires: libtotem-pl-parser-devel >= 3.10
BuildRequires: gnome-online-accounts-devel >= 3.12
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A collection of plugins for Grilo implementing Grilo's API for various multimedia content providers.

%package tracker
Summary:       Grilo plugin for Tracker
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tracker
Grilo plugin for Tracker.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_libdir}/grilo-*
#%{_libdir}/grilo-*/*.xml
%{_libdir}/grilo-*/lib*.la
%{_libdir}/grilo-*/lib*.so
%{_datadir}/help/C/examples/example-tmdb.c
%{_datadir}/help/C/grilo-plugins/grilo-plugins.xml
%{_datadir}/help/C/grilo-plugins/legal.xml
%dir %{_datadir}/grilo-plugins
%dir %{_datadir}/grilo-plugins/grl-lua-factory
%{_datadir}/grilo-plugins/grl-lua-factory/*
#%exclude %{_libdir}/grilo-*/grl-tracker.xml
%exclude %{_libdir}/grilo-*/libgrltracker.la
%exclude %{_libdir}/grilo-*/libgrltracker.so
%doc AUTHORS COPYING
#%doc ChangeLog NEWS README

%files tracker
%defattr(-,root,root)
#%{_libdir}/grilo-*/grl-tracker.xml
%{_libdir}/grilo-*/libgrltracker.la
%{_libdir}/grilo-*/libgrltracker.so

%changelog
* Sun Jul 29 2018 Automatic Build System <autodist@mambasoft.it> 0.3.7-1mamba
- automatic version update by autodist

* Fri Oct 06 2017 Automatic Build System <autodist@mambasoft.it> 0.3.5-1mamba
- automatic version update by autodist

* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 0.3.4-1mamba
- automatic version update by autodist

* Sat Sep 10 2016 Automatic Build System <autodist@mambasoft.it> 0.3.3-1mamba
- automatic version update by autodist

* Thu Jun 23 2016 Automatic Build System <autodist@mambasoft.it> 0.3.2-1mamba
- automatic version update by autodist

* Tue Apr 19 2016 Automatic Build System <autodist@mambasoft.it> 0.3.1-1mamba
- automatic version update by autodist

* Sun Dec 20 2015 Automatic Build System <autodist@mambasoft.it> 0.2.17-1mamba
- automatic version update by autodist

* Wed Oct 28 2015 Automatic Build System <autodist@mambasoft.it> 0.2.16-1mamba
- automatic version update by autodist

* Thu Apr 16 2015 Automatic Build System <autodist@mambasoft.it> 0.2.14-1mamba
- automatic version update by autodist

* Fri Sep 05 2014 Automatic Build System <autodist@mambasoft.it> 0.2.13-1mamba
- automatic version update by autodist

* Wed Jun 25 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.12-2mamba
- rebuilt with libtracker 1.0.0

* Thu Mar 20 2014 Automatic Build System <autodist@mambasoft.it> 0.2.12-1mamba
- automatic version update by autodist

* Thu Feb 20 2014 Automatic Build System <autodist@mambasoft.it> 0.2.11-1mamba
- automatic version update by autodist

* Tue Nov 12 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.9-2mamba
- rebuilt with libtotem-pl-parser 3.10

* Mon Aug 26 2013 Automatic Build System <autodist@mambasoft.it> 0.2.9-1mamba
- automatic version update by autodist

* Tue May 28 2013 Automatic Build System <autodist@mambasoft.it> 0.2.8-1mamba
- automatic version update by autodist

* Sat May 18 2013 Automatic Build System <autodist@mambasoft.it> 0.2.7-1mamba
- update to 0.2.7

* Mon Apr 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.6-2mamba
- rebuilt with tracker 0.16.0

* Mon Mar 25 2013 Automatic Build System <autodist@mambasoft.it> 0.2.6-1mamba
- automatic version update by autodist

* Sat Dec 15 2012 Automatic Build System <autodist@mambasoft.it> 0.2.5-1mamba
- automatic version update by autodist

* Sun Dec 02 2012 Automatic Build System <autodist@mambasoft.it> 0.2.4-1mamba
- automatic version update by autodist

* Sat Nov 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.3-2mamba
- package apart the tracker plugin

* Fri Nov 09 2012 Automatic Build System <autodist@mambasoft.it> 0.2.3-1mamba
- automatic version update by autodist

* Mon Nov 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-1mamba
- package created by autospec
